Package org.eclipse.net4j.util.om

# Interface OMPlatform

public interface OMPlatform
Represents the platform that `bundles` are deployed into, whether OSGi `is running` or not.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final OMPlatform`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`void`
`addLogFilter(OMLogFilter logFilter)`
`void`
`addLogHandler(OMLogHandler logHandler)`
`void`
`addTraceHandler(OMTraceHandler traceHandler)`
`OMBundle`
`bundle(String bundleID, Class<?> accessor)`
`String[]`
`getCommandLineArgs()`
`File`
`getConfigFile(String name)`
`File`
`getConfigFolder()`
`Properties`
`getConfigProperties(String name)`
`String`
`getProperty(String key)`
`int`
`getProperty(String key, int defaultValue)`
`long`
`getProperty(String key, long defaultValue)`
`<T extends Enum<T>>
T`
`getProperty(String key, Class<T> enumType)`
`String`
`getProperty(String key, String defaultValue)`
`<T extends Enum<T>>
T`
`getProperty(String key, T defaultValue)`
`File`
`getStateFolder()`
`File`
`getUserFolder()`
`boolean`
`isDebugging()`
`boolean`
`isExtensionRegistryAvailable()`
`boolean`
`isOSGiRunning()`
`boolean`
`isProperty(String key)`
`boolean`
`isProperty(String key, boolean defaultValue)`
`void`
`removeLogFilter(OMLogFilter logFilter)`
`void`
`removeLogHandler(OMLogHandler logHandler)`
`void`
`removeTraceHandler(OMTraceHandler traceHandler)`
`void`
`setDebugging(boolean debugging)`

## Field Details

### INSTANCE

static final OMPlatform INSTANCE

## Method Details

### bundle

OMBundle bundle(String bundleID, Class<?> accessor)

### isOSGiRunning

boolean isOSGiRunning()

### isExtensionRegistryAvailable

boolean isExtensionRegistryAvailable()

Since:
  2.0

### isDebugging

boolean isDebugging()

### setDebugging

void setDebugging(boolean debugging)

### addLogFilter

void addLogFilter(OMLogFilter logFilter)

Since:
  3.2

### removeLogFilter

void removeLogFilter(OMLogFilter logFilter)

Since:
  3.2

### addLogHandler

void addLogHandler(OMLogHandler logHandler)

### removeLogHandler

void removeLogHandler(OMLogHandler logHandler)

### addTraceHandler

void addTraceHandler(OMTraceHandler traceHandler)

### removeTraceHandler

void removeTraceHandler(OMTraceHandler traceHandler)

### getUserFolder

File getUserFolder()

Since:
  3.18

### getStateFolder

File getStateFolder()

### getConfigFolder

File getConfigFolder()

### getConfigFile

File getConfigFile(String name)

### getConfigProperties

Properties getConfigProperties(String name)

### getProperty

String getProperty(String key)

Since:
  3.0

### getProperty

String getProperty(String key, String defaultValue)

Since:
  3.0

### getProperty

int getProperty(String key, int defaultValue)

Since:
  3.8

### getProperty

long getProperty(String key, long defaultValue)

Since:
  3.8

### getProperty

<T extends Enum<T>> T getProperty(String key, Class<T> enumType)

Since:
  3.8

### getProperty

<T extends Enum<T>> T getProperty(String key, T defaultValue)

Since:
  3.8

### isProperty

boolean isProperty(String key)

Since:
  3.7

### isProperty

boolean isProperty(String key, boolean defaultValue)

Since:
  3.7

### getCommandLineArgs

String[] getCommandLineArgs() throws IllegalStateException

Throws:
  `IllegalStateException`
Since:
  3.2